package de.hessj.environmentex;

import java.util.Set;
import java.util.UUID;
import com.destroystokyo.paper.profile.PlayerProfile;
import com.destroystokyo.paper.profile.ProfileProperty;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.NamespacedKey;
import org.bukkit.Sound;
import org.bukkit.entity.Ambient;
import org.bukkit.entity.Animals;
import org.bukkit.entity.Creeper;
import org.bukkit.entity.EntityType;
import org.bukkit.entity.LivingEntity;
import org.bukkit.entity.Sheep;
import org.bukkit.entity.WaterMob;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;
import org.bukkit.event.entity.EntityDamageByEntityEvent;
import org.bukkit.event.entity.EntityDeathEvent;
import org.bukkit.event.player.PlayerAttemptPickupItemEvent;
import org.bukkit.event.player.PlayerInteractAtEntityEvent;
import org.bukkit.event.server.ServerLoadEvent;
import org.bukkit.inventory.EquipmentSlot;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.ShapelessRecipe;
import org.bukkit.inventory.meta.Damageable;
import org.bukkit.inventory.meta.ItemMeta;
import org.bukkit.inventory.meta.SkullMeta;
import org.bukkit.persistence.PersistentDataType;
import net.kyori.adventure.text.Component;
import net.md_5.bungee.api.ChatColor;

public class MobHeads implements Listener {

        public static ItemStack strayHead = new ItemStack(Material.PLAYER_HEAD);
        public static ItemStack spiderHead = new ItemStack(Material.PLAYER_HEAD);
        public static ItemStack caveSpiderHead = new ItemStack(Material.PLAYER_HEAD);
        public static ItemStack witchHead = new ItemStack(Material.PLAYER_HEAD);
        public static ItemStack headScissor = new ItemStack(Material.SHEARS);
        public static NamespacedKey nskHeadScissor = new NamespacedKey(App.main, "key" + "R3SHEADSCISSOR");
        public static ItemStack huehnerkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack kuhkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack schweinekopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack schafskopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Axolotlkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Beekopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Catkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Donkeykopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Foxkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Frogkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Goatkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Horsekopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Llamakopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Mooshroomkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Mulekopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Ocelotkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Pandakopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Rabbitkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack TraderLlamakopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Turtlekopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Wolfkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Parrotkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Batkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Codkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Dolphinkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack PolarBearkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Pufferfishkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack Salmonkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack TropicalFishkopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack SquidKopf = new ItemStack(Material.PLAYER_HEAD, 1);
        public static ItemStack GlowSquidKopf = new ItemStack(Material.PLAYER_HEAD, 1);

        @EventHandler
        public void onItemSpawn(PlayerAttemptPickupItemEvent e) {
                if (e.getItem().getItemStack().getType() != Material.PLAYER_HEAD) {
                        return;
                }
                ItemMeta im = e.getItem().getItemStack().getItemMeta();
                SkullMeta sm = (SkullMeta) im;
                for (ProfileProperty pp : sm.getPlayerProfile().getProperties()) {
                        switch (pp.getValue()) {
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmU4NDU2MTU1MTQyY2JlNGU2MTM1M2ZmYmFmZjMwNGQzZDljNGJjOTI0N2ZjMjdiOTJlMzNlNmUyNjA2N2VkZCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Kuhkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNTgyY2U0ODg5MzMzZGFkMzI5ZTRlMjQzNzJhMDNhNWRhYTJjMzQyODBjNTYyNTZhZjUyODNlZGIwNDNmOCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Hühnerkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjIxNjY4ZWY3Y2I3OWRkOWMyMmNlM2QxZjNmNGNiNmUyNTU5ODkzYjZkZjRhNDY5NTE0ZTY2N2MxNmFhNCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Schweinekopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjkyZGYyMTZlY2QyNzYyNGFjNzcxYmFjZmJmZTAwNmUxZWQ4NGE3OWU5MjcwYmUwZjg4ZTljODc5MWQxZWNlNCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Schafskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZDcwNDI1NDEzOWEwYjFhOTI2ZTc1NTI0ODJkZDY3Njc5YzZhZTBkYzgzMzVjOTgwZGJkMWMwZDk5NjM0YTcwOCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Axolotlkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjU5MDAxYTg1MWJiMWI5ZTljMDVkZTVkNWM2OGIxZWEwZGM4YmQ4NmJhYmYxODhlMGFkZWQ4ZjkxMmMwN2QwZCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Bienenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTU2NmRlMzRkMDRkMTRiMzlmY2IxNWRhYWE3YjU0N2ZiMjM4ZTdkMzE4N2I0MjRkNDI2OTU4YWRjNTE0MDMzIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Katzenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjNhOTc2YzA0N2Y0MTJlYmM1Y2IxOTcxMzFlYmVmMzBjMDA0YzBmYWY0OWQ4ZGQ0MTA1ZmNhMTIwN2VkYWZmMyJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Eselskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZDg5NTRhNDJlNjllMDg4MWFlNmQyNGQ0MjgxNDU5YzE0NGEwZDVhOTY4YWVkMzVkNmQzZDczYTNjNjVkMjZhIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Fuchskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2U2MmU4YTA0OGQwNDBlYjA1MzNiYTI2YTg2NmNkOWMyZDA5MjhjOTMxYzUwYjQ0ODJhYzNhMzI2MWZhYjZmMCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Froschkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYWFlMzY1MTJkOWU0MTY4ZmIyMjk4NWZlOTQ0N2Q0MzVjMGU5MjFhY2ZhMGZhODYxMzhmODQ2NTUxZTdiNGQ4MiJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Ziegenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZjAwYWQyMWJmODk2MGI4ODFkZTc5ZmNkY2VmMTE2MWQwNjdhYmExMGQ3MjQ3OGI3MjU5NWU1YzIyZmNiOWUwYiJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Pferdekopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZGU3MDNhYjAzMWVkNjY2MjJmMTI5NTdlZjU5YThiNWM4YTI2OWNlYmQxOGY5MzI2MjQ4YjY4YzNiYmUyMDE2MyJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Lamakopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMmI1Mjg0MWYyZmQ1ODllMGJjODRjYmFiZjllMWMyN2NiNzBjYWM5OGY4ZDZiM2RkMDY1ZTU1YTRkY2I3MGQ3NyJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Pilzkuhkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;

                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTA0ODZhNzQyZTdkZGEwYmFlNjFjZTJmNTVmYTEzNTI3ZjFjM2IzMzRjNTdjMDM0YmI0Y2YxMzJmYjVmNWYifX19":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Maultierkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOGM0MzNjMTM0NzMxM2IyM2I2N2VlYzkyZjg4MDdhZWQyNTY2ZWMyOWZkNDE2YmRmN2E1OWMyMjU5NjYyODM1NSJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Ozelotkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmE2ZTNhZDgyM2Y5NmQ0YTgwYTE0NTU2ZDhjOWM3NjMyMTYzYmJkMmE4NzZjMDExOGI0NTg5MjVkODdhNTUxMyJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Pandakopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTBkY2RkYzIzNjk3MmVkY2Q0OGU4MjViNmIwMDU0YjdiNmUxYTc4MWU2ZjEyYWUwNGMxNGEwNzgyN2NhOGRjYyJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Hasenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTVhZDZiNjljYzZiNDc2OWQzNTE2YTBjZTk4Yjk5YjJhNWQ0MDZmZWE0OTEyZGVjNTcwZWE0YTRmMmJjYzBmZiJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Händlerlamakopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMGE0MDUwZTdhYWNjNDUzOTIwMjY1OGZkYzMzOWRkMTgyZDdlMzIyZjlmYmNjNGQ1Zjk5YjU3MThhIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Schildkrötenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjhkNDA4ODQyZTc2YTVhNDU0ZGMxYzdlOWFjNWMxYThhYzNmNGFkMzRkNjk3M2I1Mjc1NDkxZGZmOGM1YzI1MSJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Wolfskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWQxYTE2OGJjNzJjYjMxNGY3Yzg2ZmVlZjlkOWJjNzYxMjM2NTI0NGNlNjdmMGExMDRmY2UwNDIwMzQzMGMxZCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Papagaienkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjM5MDQzNjQ5ZjZjN2U5OTM4ZjQ1ZjkzYWU5NDRmZjc4MzNlNTNjNWZhMWVjMDgzZjUxZTJhN2JmZjRiMzljNSJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Fledermauskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzg5MmQ3ZGQ2YWFkZjM1Zjg2ZGEyN2ZiNjNkYTRlZGRhMjExZGY5NmQyODI5ZjY5MTQ2MmE0ZmIxY2FiMCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Kabeljaukopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOGU5Njg4Yjk1MGQ4ODBiNTViN2FhMmNmY2Q3NmU1YTBmYTk0YWFjNmQxNmY3OGU4MzNmNzQ0M2VhMjlmZWQzIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Delfinkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzRmZTkyNjkyMmZiYjQwNmYzNDNiMzRhMTBiYjk4OTkyY2VlNDQxMDEzN2QzZjg4MDk5NDI3YjIyZGUzYWI5MCJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Polarbärenkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2RlOTEwOTBmY2VjZjdmZmMyNmU5NGUwMzE3ZGQyYWI3YTliZmFjMDYyYTM4YzlhODI1ZTA2NWI5NDBkYWEwNiJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Kugelfischkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjBlYTlhMjIzNjIwY2RiNTRiMzU3NDEzZDQzYmQ4OWM0MDA4YmNhNmEyMjdmM2I3ZGI5N2Y3NzMzZWFkNWZjZiJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Lachskopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWQ3YjkyYTFiZGM3MzNkMmE1M2ZiMDk1YzcwYjczMmI3MWEyMjNhOWNlY2E3MmI4NzJlMWVlOTkwYTZhOTA3ZSJ9fX0=":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Tropischerfischkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMDE0MzNiZTI0MjM2NmFmMTI2ZGE0MzRiODczNWRmMWViNWIzY2IyY2VkZTM5MTQ1OTc0ZTljNDgzNjA3YmFjIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Tintenfischkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                case "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOTIwOWUxMWU2MWM3MjdjZmE2ZGMxMjg0NTFlNDEyZjMwMWQxMjcxNzNjNWU1MmEwYjFhOWEyNDM5ZDc2YjRlIn19fQ==":
                                        im.displayName(Component.text(ChatColor.DARK_PURPLE + "Leuchttintenfischkopf"));
                                        e.getItem().getItemStack().setItemMeta(im);
                                        return;
                                default:
                                        break;
                        }
                }

        }

        @EventHandler
        public static void onLoad(ServerLoadEvent e) {

                // https://minecraft-heads.com/

                SkullMeta kuhkopfMeta = (SkullMeta) kuhkopf.getItemMeta();
                PlayerProfile profile = Bukkit.createProfile(UUID.randomUUID());
                Set<ProfileProperty> properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmU4NDU2MTU1MTQyY2JlNGU2MTM1M2ZmYmFmZjMwNGQzZDljNGJjOTI0N2ZjMjdiOTJlMzNlNmUyNjA2N2VkZCJ9fX0="));
                kuhkopfMeta.setPlayerProfile(profile);
                kuhkopfMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Kuhkopf"));
                kuhkopf.setItemMeta(kuhkopfMeta);

                SkullMeta huehnerkopfMeta = (SkullMeta) huehnerkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2EzNTgyY2U0ODg5MzMzZGFkMzI5ZTRlMjQzNzJhMDNhNWRhYTJjMzQyODBjNTYyNTZhZjUyODNlZGIwNDNmOCJ9fX0="));
                huehnerkopfMeta.setPlayerProfile(profile);
                huehnerkopfMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Hühnerkopf"));
                huehnerkopf.setItemMeta(huehnerkopfMeta);

                SkullMeta schweinekopfMeta = (SkullMeta) schweinekopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjIxNjY4ZWY3Y2I3OWRkOWMyMmNlM2QxZjNmNGNiNmUyNTU5ODkzYjZkZjRhNDY5NTE0ZTY2N2MxNmFhNCJ9fX0="));
                schweinekopfMeta.setPlayerProfile(profile);
                schweinekopfMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Schweinekopf"));
                schweinekopf.setItemMeta(schweinekopfMeta);

                SkullMeta schafskopfMeta = (SkullMeta) schafskopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjkyZGYyMTZlY2QyNzYyNGFjNzcxYmFjZmJmZTAwNmUxZWQ4NGE3OWU5MjcwYmUwZjg4ZTljODc5MWQxZWNlNCJ9fX0="));
                schafskopfMeta.setPlayerProfile(profile);
                schafskopfMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Schafskopf"));
                schafskopf.setItemMeta(schafskopfMeta);

                SkullMeta AxolotlMeta = (SkullMeta) Axolotlkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZDcwNDI1NDEzOWEwYjFhOTI2ZTc1NTI0ODJkZDY3Njc5YzZhZTBkYzgzMzVjOTgwZGJkMWMwZDk5NjM0YTcwOCJ9fX0="));
                AxolotlMeta.setPlayerProfile(profile);
                AxolotlMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Axolotlkopf"));
                Axolotlkopf.setItemMeta(AxolotlMeta);

                SkullMeta BeeMeta = (SkullMeta) Beekopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjU5MDAxYTg1MWJiMWI5ZTljMDVkZTVkNWM2OGIxZWEwZGM4YmQ4NmJhYmYxODhlMGFkZWQ4ZjkxMmMwN2QwZCJ9fX0="));
                BeeMeta.setPlayerProfile(profile);
                BeeMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Bienenkopf"));
                Beekopf.setItemMeta(BeeMeta);

                SkullMeta CatMeta = (SkullMeta) Catkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZTU2NmRlMzRkMDRkMTRiMzlmY2IxNWRhYWE3YjU0N2ZiMjM4ZTdkMzE4N2I0MjRkNDI2OTU4YWRjNTE0MDMzIn19fQ=="));
                CatMeta.setPlayerProfile(profile);
                CatMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Katzenkopf"));
                Catkopf.setItemMeta(CatMeta);

                SkullMeta DonkeyMeta = (SkullMeta) Donkeykopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjNhOTc2YzA0N2Y0MTJlYmM1Y2IxOTcxMzFlYmVmMzBjMDA0YzBmYWY0OWQ4ZGQ0MTA1ZmNhMTIwN2VkYWZmMyJ9fX0="));
                DonkeyMeta.setPlayerProfile(profile);
                DonkeyMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Eselskopf"));
                Donkeykopf.setItemMeta(DonkeyMeta);

                SkullMeta FoxMeta = (SkullMeta) Foxkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZDg5NTRhNDJlNjllMDg4MWFlNmQyNGQ0MjgxNDU5YzE0NGEwZDVhOTY4YWVkMzVkNmQzZDczYTNjNjVkMjZhIn19fQ=="));
                FoxMeta.setPlayerProfile(profile);
                FoxMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Fuchskopf"));
                Foxkopf.setItemMeta(FoxMeta);

                SkullMeta FrogMeta = (SkullMeta) Frogkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2U2MmU4YTA0OGQwNDBlYjA1MzNiYTI2YTg2NmNkOWMyZDA5MjhjOTMxYzUwYjQ0ODJhYzNhMzI2MWZhYjZmMCJ9fX0="));
                FrogMeta.setPlayerProfile(profile);
                FrogMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Froschkopf"));
                Frogkopf.setItemMeta(FrogMeta);

                SkullMeta GoatMeta = (SkullMeta) Goatkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYWFlMzY1MTJkOWU0MTY4ZmIyMjk4NWZlOTQ0N2Q0MzVjMGU5MjFhY2ZhMGZhODYxMzhmODQ2NTUxZTdiNGQ4MiJ9fX0="));
                GoatMeta.setPlayerProfile(profile);
                GoatMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Ziegenkopf"));
                Goatkopf.setItemMeta(GoatMeta);

                SkullMeta HorseMeta = (SkullMeta) Horsekopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZjAwYWQyMWJmODk2MGI4ODFkZTc5ZmNkY2VmMTE2MWQwNjdhYmExMGQ3MjQ3OGI3MjU5NWU1YzIyZmNiOWUwYiJ9fX0="));
                HorseMeta.setPlayerProfile(profile);
                HorseMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Pferdekopf"));
                Horsekopf.setItemMeta(HorseMeta);

                SkullMeta LlamaMeta = (SkullMeta) Llamakopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvZGU3MDNhYjAzMWVkNjY2MjJmMTI5NTdlZjU5YThiNWM4YTI2OWNlYmQxOGY5MzI2MjQ4YjY4YzNiYmUyMDE2MyJ9fX0="));
                LlamaMeta.setPlayerProfile(profile);
                LlamaMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Lamakopf"));
                Llamakopf.setItemMeta(LlamaMeta);

                SkullMeta MooshMeta = (SkullMeta) Mooshroomkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMmI1Mjg0MWYyZmQ1ODllMGJjODRjYmFiZjllMWMyN2NiNzBjYWM5OGY4ZDZiM2RkMDY1ZTU1YTRkY2I3MGQ3NyJ9fX0="));
                MooshMeta.setPlayerProfile(profile);
                MooshMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Pilzkuhkopf"));
                Mooshroomkopf.setItemMeta(MooshMeta);

                SkullMeta MuleMeta = (SkullMeta) Mulekopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTA0ODZhNzQyZTdkZGEwYmFlNjFjZTJmNTVmYTEzNTI3ZjFjM2IzMzRjNTdjMDM0YmI0Y2YxMzJmYjVmNWYifX19"));
                MuleMeta.setPlayerProfile(profile);
                MuleMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Maultierkopf"));
                Mulekopf.setItemMeta(MuleMeta);

                SkullMeta OcelotMeta = (SkullMeta) Ocelotkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOGM0MzNjMTM0NzMxM2IyM2I2N2VlYzkyZjg4MDdhZWQyNTY2ZWMyOWZkNDE2YmRmN2E1OWMyMjU5NjYyODM1NSJ9fX0="));
                OcelotMeta.setPlayerProfile(profile);
                OcelotMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Ozelotkopf"));
                Ocelotkopf.setItemMeta(OcelotMeta);

                SkullMeta PandaMeta = (SkullMeta) Pandakopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYmE2ZTNhZDgyM2Y5NmQ0YTgwYTE0NTU2ZDhjOWM3NjMyMTYzYmJkMmE4NzZjMDExOGI0NTg5MjVkODdhNTUxMyJ9fX0="));
                PandaMeta.setPlayerProfile(profile);
                PandaMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Pandakopf"));
                Pandakopf.setItemMeta(PandaMeta);

                SkullMeta RabbitMeta = (SkullMeta) Rabbitkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYTBkY2RkYzIzNjk3MmVkY2Q0OGU4MjViNmIwMDU0YjdiNmUxYTc4MWU2ZjEyYWUwNGMxNGEwNzgyN2NhOGRjYyJ9fX0="));
                RabbitMeta.setPlayerProfile(profile);
                RabbitMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Hasenkopf"));
                Rabbitkopf.setItemMeta(RabbitMeta);

                SkullMeta WandererLlamaMeta = (SkullMeta) TraderLlamakopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMTVhZDZiNjljYzZiNDc2OWQzNTE2YTBjZTk4Yjk5YjJhNWQ0MDZmZWE0OTEyZGVjNTcwZWE0YTRmMmJjYzBmZiJ9fX0="));
                WandererLlamaMeta.setPlayerProfile(profile);
                WandererLlamaMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Händlerlamakopf"));
                TraderLlamakopf.setItemMeta(WandererLlamaMeta);

                SkullMeta turtleMeta = (SkullMeta) Turtlekopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMGE0MDUwZTdhYWNjNDUzOTIwMjY1OGZkYzMzOWRkMTgyZDdlMzIyZjlmYmNjNGQ1Zjk5YjU3MThhIn19fQ=="));
                turtleMeta.setPlayerProfile(profile);
                turtleMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Schildkrötenkopf"));
                Turtlekopf.setItemMeta(turtleMeta);

                SkullMeta WolfMeta = (SkullMeta) Wolfkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjhkNDA4ODQyZTc2YTVhNDU0ZGMxYzdlOWFjNWMxYThhYzNmNGFkMzRkNjk3M2I1Mjc1NDkxZGZmOGM1YzI1MSJ9fX0="));
                WolfMeta.setPlayerProfile(profile);
                WolfMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Wolfskopf"));
                Wolfkopf.setItemMeta(WolfMeta);

                SkullMeta ParrotMeta = (SkullMeta) Parrotkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWQxYTE2OGJjNzJjYjMxNGY3Yzg2ZmVlZjlkOWJjNzYxMjM2NTI0NGNlNjdmMGExMDRmY2UwNDIwMzQzMGMxZCJ9fX0="));
                ParrotMeta.setPlayerProfile(profile);
                ParrotMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Papagaienkopf"));
                Parrotkopf.setItemMeta(ParrotMeta);

                SkullMeta BatMeta = (SkullMeta) Batkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjM5MDQzNjQ5ZjZjN2U5OTM4ZjQ1ZjkzYWU5NDRmZjc4MzNlNTNjNWZhMWVjMDgzZjUxZTJhN2JmZjRiMzljNSJ9fX0="));
                BatMeta.setPlayerProfile(profile);
                BatMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Fledermauskopf"));
                Batkopf.setItemMeta(BatMeta);

                SkullMeta CodMeta = (SkullMeta) Codkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzg5MmQ3ZGQ2YWFkZjM1Zjg2ZGEyN2ZiNjNkYTRlZGRhMjExZGY5NmQyODI5ZjY5MTQ2MmE0ZmIxY2FiMCJ9fX0="));
                CodMeta.setPlayerProfile(profile);
                CodMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Kabeljaukopf"));
                Codkopf.setItemMeta(CodMeta);

                SkullMeta DolphinMeta = (SkullMeta) Dolphinkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOGU5Njg4Yjk1MGQ4ODBiNTViN2FhMmNmY2Q3NmU1YTBmYTk0YWFjNmQxNmY3OGU4MzNmNzQ0M2VhMjlmZWQzIn19fQ=="));
                DolphinMeta.setPlayerProfile(profile);
                DolphinMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Delfinkopf"));
                Dolphinkopf.setItemMeta(DolphinMeta);

                SkullMeta PolarBearMeta = (SkullMeta) PolarBearkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzRmZTkyNjkyMmZiYjQwNmYzNDNiMzRhMTBiYjk4OTkyY2VlNDQxMDEzN2QzZjg4MDk5NDI3YjIyZGUzYWI5MCJ9fX0="));
                PolarBearMeta.setPlayerProfile(profile);
                PolarBearMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Polarbärenkopf"));
                PolarBearkopf.setItemMeta(PolarBearMeta);

                SkullMeta PufferfishMeta = (SkullMeta) Pufferfishkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvY2RlOTEwOTBmY2VjZjdmZmMyNmU5NGUwMzE3ZGQyYWI3YTliZmFjMDYyYTM4YzlhODI1ZTA2NWI5NDBkYWEwNiJ9fX0="));
                PufferfishMeta.setPlayerProfile(profile);
                PufferfishMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Kugelfischkopf"));
                Pufferfishkopf.setItemMeta(PufferfishMeta);

                SkullMeta SalmonMeta = (SkullMeta) Salmonkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjBlYTlhMjIzNjIwY2RiNTRiMzU3NDEzZDQzYmQ4OWM0MDA4YmNhNmEyMjdmM2I3ZGI5N2Y3NzMzZWFkNWZjZiJ9fX0="));
                SalmonMeta.setPlayerProfile(profile);
                SalmonMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Lachskopf"));
                Salmonkopf.setItemMeta(SalmonMeta);

                SkullMeta TropicalFishMeta = (SkullMeta) TropicalFishkopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNWQ3YjkyYTFiZGM3MzNkMmE1M2ZiMDk1YzcwYjczMmI3MWEyMjNhOWNlY2E3MmI4NzJlMWVlOTkwYTZhOTA3ZSJ9fX0="));
                TropicalFishMeta.setPlayerProfile(profile);
                TropicalFishMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Tropischerfischkopf"));
                TropicalFishkopf.setItemMeta(TropicalFishMeta);

                SkullMeta SquidMeta = (SkullMeta) SquidKopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMDE0MzNiZTI0MjM2NmFmMTI2ZGE0MzRiODczNWRmMWViNWIzY2IyY2VkZTM5MTQ1OTc0ZTljNDgzNjA3YmFjIn19fQ=="));
                SquidMeta.setPlayerProfile(profile);
                SquidMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Tintenfischkopf"));
                SquidKopf.setItemMeta(SquidMeta);

                SkullMeta GlowSquidMeta = (SkullMeta) GlowSquidKopf.getItemMeta();
                profile = Bukkit.createProfile(UUID.randomUUID());
                properties = profile.getProperties();
                properties.add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvOTIwOWUxMWU2MWM3MjdjZmE2ZGMxMjg0NTFlNDEyZjMwMWQxMjcxNzNjNWU1MmEwYjFhOWEyNDM5ZDc2YjRlIn19fQ=="));
                GlowSquidMeta.setPlayerProfile(profile);
                GlowSquidMeta.displayName(Component.text(ChatColor.DARK_PURPLE + "Leuchttintenfischkopf"));
                GlowSquidKopf.setItemMeta(GlowSquidMeta);

                ItemMeta mHeadScissor = headScissor.getItemMeta();
                mHeadScissor.getPersistentDataContainer().set(nskHeadScissor, PersistentDataType.STRING, "HEADSCISSOR");
                mHeadScissor.setCustomModelData(1000019);
                mHeadScissor.displayName(Component.text(ChatColor.WHITE + "Kopfschere"));
                headScissor.setItemMeta(mHeadScissor);

                ShapelessRecipe srHeadScissor = new ShapelessRecipe(new NamespacedKey(App.main, "R3S_SR_HEADSCISSOR"),
                                headScissor);
                srHeadScissor.addIngredient(Material.DIAMOND);
                srHeadScissor.addIngredient(Material.SHEARS);
                App.main.getServer().addRecipe(srHeadScissor);
                App.main.recipeKeys.add(srHeadScissor.getKey());

                
                SkullMeta mStrayHead = (SkullMeta) strayHead.getItemMeta();
                mStrayHead.displayName(Component.translatable(ChatColor.YELLOW + "Eiswandererkopf"));
                mStrayHead.setPlayerProfile(Bukkit.createProfile(UUID.randomUUID(), null));
                PlayerProfile playerProfile = mStrayHead.getPlayerProfile();
                playerProfile.getProperties().add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNzhkZGY3NmU1NTVkZDVjNGFhOGEwYTVmYzU4NDUyMGNkNjNkNDg5YzI1M2RlOTY5ZjdmMjJmODVhOWEyZDU2In19fQ=="));
                mStrayHead.setPlayerProfile(playerProfile);
                mStrayHead.getPersistentDataContainer().set(
                                new NamespacedKey(App.main, "key" + "R3SSTRAYKULL"),
                                PersistentDataType.STRING, "R3S_eiswandererkopf");
                strayHead.setItemMeta(mStrayHead);

               
                SkullMeta mSpiderHead = (SkullMeta) spiderHead.getItemMeta();
                mSpiderHead.displayName(Component.translatable(ChatColor.YELLOW + "Spinnenkopf"));
                mSpiderHead.setPlayerProfile(Bukkit.createProfile(UUID.randomUUID(), null));
                PlayerProfile playerProfile2 = mSpiderHead.getPlayerProfile();
                playerProfile2.getProperties().add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYzg3YTk2YThjMjNiODNiMzJhNzNkZjA1MWY2Yjg0YzJlZjI0ZDI1YmE0MTkwZGJlNzRmMTExMzg2MjliNWFlZiJ9fX0="));
                mSpiderHead.setPlayerProfile(playerProfile2);
                mSpiderHead.getPersistentDataContainer().set(
                                new NamespacedKey(App.main, "key" + "R3SSPIDERKULL"),
                                PersistentDataType.STRING, "R3S_Spinnenkopf");
                spiderHead.setItemMeta(mSpiderHead);

                
                SkullMeta mCaveSpiderHead = (SkullMeta) caveSpiderHead.getItemMeta();
                mCaveSpiderHead.displayName(Component.translatable(ChatColor.YELLOW + "Höhlenspinnenkopf"));
                mCaveSpiderHead.setPlayerProfile(Bukkit.createProfile(UUID.randomUUID(), null));
                PlayerProfile playerProfile3 = mCaveSpiderHead.getPlayerProfile();
                playerProfile3.getProperties().add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNjA0ZDVmY2IyODlmZTY1YjY3ODY2ODJlMWM3MzZjM2Y3YjE2ZjM5ZDk0MGUzZDJmNDFjZjAwNDA3MDRjNjI4MiJ9fX0="));
                mCaveSpiderHead.setPlayerProfile(playerProfile3);
                mCaveSpiderHead.getPersistentDataContainer().set(
                                new NamespacedKey(App.main, "key" + "R3SCAVESPIDERKULL"),
                                PersistentDataType.STRING, "R3S_Höhlenspinnenkopf");
                caveSpiderHead.setItemMeta(mCaveSpiderHead);

                
                SkullMeta mWitchHead = (SkullMeta) witchHead.getItemMeta();
                mWitchHead.displayName(Component.translatable(ChatColor.YELLOW + "Hexenkopf"));
                mWitchHead.setPlayerProfile(Bukkit.createProfile(UUID.randomUUID(), null));
                PlayerProfile playerProfile4 = mWitchHead.getPlayerProfile();
                playerProfile4.getProperties().add(new ProfileProperty("textures",
                                "eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjBlMTNkMTg0NzRmYzk0ZWQ1NWFlYjcwNjk1NjZlNDY4N2Q3NzNkYWMxNmY0YzNmODcyMmZjOTViZjlmMmRmYSJ9fX0="));
                mWitchHead.setPlayerProfile(playerProfile4);
                mWitchHead.getPersistentDataContainer().set(
                                new NamespacedKey(App.main, "key" + "R3SWITCHKULL"),
                                PersistentDataType.STRING, "R3S_Hexenkopf");
                witchHead.setItemMeta(mWitchHead);

        

        }

        @EventHandler
        public static void onEntityDeath(EntityDamageByEntityEvent e) {
                if (e.getDamager().getType().equals(EntityType.CREEPER)) {
                        Creeper c = (Creeper) e.getDamager();
                        if (c.isPowered()) {
                                if (e.getEntity() instanceof LivingEntity) {
                                        LivingEntity damaged = (LivingEntity) e.getEntity();
                                        if (e.getFinalDamage() >= damaged.getHealth()) {
                                                ItemStack is = null;
                                                switch (e.getEntityType()) {
                                                        case SPIDER:
                                                                is = spiderHead;
                                                                break;
                                                        case CAVE_SPIDER:
                                                                is = caveSpiderHead;
                                                                break;
                                                        case WITCH:
                                                                is = witchHead;
                                                                break;
                                                        case STRAY:
                                                                is = strayHead;
                                                                break;
                                                        default:
                                                                break;
                                                }
                                                if (is != null) {
                                                        e.getEntity().getWorld().dropItemNaturally(
                                                                        e.getEntity().getLocation(), is);
                                                }
                                        }
                                }
                        }
                }
        }


        @EventHandler
        public void onInteract(PlayerInteractAtEntityEvent e) {

                if (e.getHand().equals(EquipmentSlot.HAND)
                                && e.getPlayer().getInventory().getItemInMainHand() != null) {

                        if (e.getPlayer().getInventory().getItemInMainHand().getItemMeta() != null
                                        && e.getPlayer().getInventory().getItemInMainHand().getItemMeta()
                                                        .getPersistentDataContainer() != null
                                        && e.getPlayer().getInventory().getItemInMainHand().getItemMeta()
                                                        .getPersistentDataContainer()
                                                        .has(nskHeadScissor, PersistentDataType.STRING)) {
                                if (e.getRightClicked() instanceof Animals) {
                                        Animals an = (Animals) e.getRightClicked();
                                        an.getPersistentDataContainer().set(new NamespacedKey(App.main, "deadanimal"),
                                                        PersistentDataType.STRING, "deadanimal");
                                        an.damage(1000);
                                        ItemMeta im = e.getPlayer().getInventory().getItemInMainHand().getItemMeta();
                                        Damageable dm = (Damageable) im;
                                        dm.setDamage(dm.getDamage() + 50);
                                        e.getPlayer().getInventory().getItemInMainHand().setItemMeta(im);
                                        if (dm.getDamage() >= 238) {
                                                e.getPlayer().getInventory()
                                                                .setItemInMainHand(new ItemStack(Material.AIR, 0));
                                                e.getPlayer().playSound(e.getPlayer().getLocation(),
                                                                Sound.ENTITY_ITEM_BREAK, 1, 1);
                                        }
                                } else if (e.getRightClicked() instanceof WaterMob) {
                                        WaterMob wm = (WaterMob) e.getRightClicked();
                                        wm.getPersistentDataContainer().set(new NamespacedKey(App.main, "deadanimal"),
                                                        PersistentDataType.STRING, "deadanimal");
                                        wm.damage(1000);
                                        ItemMeta im = e.getPlayer().getInventory().getItemInMainHand().getItemMeta();
                                        Damageable dm = (Damageable) im;
                                        dm.setDamage(dm.getDamage() + 50);
                                        e.getPlayer().getInventory().getItemInMainHand().setItemMeta(im);
                                        if (dm.getDamage() >= 238) {
                                                e.getPlayer().getInventory()
                                                                .setItemInMainHand(new ItemStack(Material.AIR, 0));
                                                e.getPlayer().playSound(e.getPlayer().getLocation(),
                                                                Sound.ENTITY_ITEM_BREAK, 1, 1);
                                        }
                                } else if (e.getRightClicked() instanceof Ambient) {
                                        Ambient am = (Ambient) e.getRightClicked();
                                        am.getPersistentDataContainer().set(new NamespacedKey(App.main, "deadanimal"),
                                                        PersistentDataType.STRING, "deadanimal");
                                        am.damage(1000);
                                        ItemMeta im = e.getPlayer().getInventory().getItemInMainHand().getItemMeta();
                                        Damageable dm = (Damageable) im;
                                        dm.setDamage(dm.getDamage() + 50);
                                        e.getPlayer().getInventory().getItemInMainHand().setItemMeta(im);
                                        if (dm.getDamage() >= 238) {
                                                e.getPlayer().getInventory()
                                                                .setItemInMainHand(new ItemStack(Material.AIR, 0));
                                                e.getPlayer().playSound(e.getPlayer().getLocation(),
                                                                Sound.ENTITY_ITEM_BREAK, 1, 1);
                                        }
                                }
                        }
                }

        }

        @EventHandler
        public void onAnimalDeath(EntityDeathEvent e) {
                if (e.getEntity() instanceof Animals) {
                        if (((Animals) e.getEntity()).getPersistentDataContainer() != null && ((Animals) e.getEntity())
                                        .getPersistentDataContainer().getKeys().toString().contains("deadanimal")) {
                                e.getDrops().clear();
                                switch (e.getEntity().getType()) {
                                        case COW:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                kuhkopf);
                                                break;
                                        case CHICKEN:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                huehnerkopf);
                                                break;
                                        case PIG:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                schweinekopf);
                                                break;
                                        case SHEEP:
                                                switch (((Sheep) e.getEntity()).getColor()) {
                                                        /*
                                                         * / case BLACK:
                                                         * break;
                                                         * case BLUE:
                                                         * break;
                                                         * case BROWN:
                                                         * break;
                                                         * case CYAN:
                                                         * break;
                                                         * case GRAY:
                                                         * break;
                                                         * case GREEN:
                                                         * break;
                                                         * case LIGHT_BLUE:
                                                         * break;
                                                         * case LIGHT_GRAY:
                                                         * break;
                                                         * case LIME:
                                                         * break;
                                                         * case MAGENTA:
                                                         * break;
                                                         * case ORANGE:
                                                         * break;
                                                         * case PINK:
                                                         * break;
                                                         * case PURPLE:
                                                         * break;
                                                         * case RED:
                                                         * break;
                                                         * case YELLOW:
                                                         * break;
                                                         */
                                                        case WHITE:
                                                        e.getEntity().getWorld().dropItemNaturally(
                                                                                e.getEntity().getLocation(),
                                                                                schafskopf);
                                                          break;
                                                        default:
                                                                e.getEntity().getWorld().dropItemNaturally(
                                                                                e.getEntity().getLocation(),
                                                                                schafskopf);
                                                                break;

                                                }

                                                break;

                                        case AXOLOTL:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Axolotlkopf);
                                                break;

                                        case BEE:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Beekopf);
                                                break;
                                        case CAT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Catkopf);
                                                break;
                                        case DONKEY:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Donkeykopf);
                                                break;
                                        case FOX:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Foxkopf);
                                                break;
                                        case FROG:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Frogkopf);
                                                break;
                                        case GOAT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Goatkopf);
                                                break;
                                        case HORSE:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Horsekopf);
                                                break;
                                        case LLAMA:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Llamakopf);
                                                break;
                                        case MOOSHROOM:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Mooshroomkopf);
                                                break;
                                        case MULE:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Mulekopf);
                                                break;
                                        case OCELOT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Ocelotkopf);
                                                break;
                                        case PANDA:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Pandakopf);
                                                break;
                                        case RABBIT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Rabbitkopf);
                                                break;
                                        case TRADER_LLAMA:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                TraderLlamakopf);
                                                break;
                                        case TURTLE:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Turtlekopf);
                                                break;
                                        case WOLF:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Wolfkopf);
                                                break;
                                        case PARROT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Parrotkopf);
                                                break;
                                        case POLAR_BEAR:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                PolarBearkopf);
                                                break;

                                        default:
                                                break;
                                }

                        }
                } else if (e.getEntity() instanceof WaterMob) {

                        if (((WaterMob) e.getEntity()).getPersistentDataContainer() != null
                                        && ((WaterMob) e.getEntity())
                                                        .getPersistentDataContainer().getKeys().toString()
                                                        .contains("deadanimal")) {
                                e.getDrops().clear();
                                switch (e.getEntity().getType()) {
                                        case PUFFERFISH:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Pufferfishkopf);
                                                break;
                                        case SALMON:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Salmonkopf);
                                                break;
                                        case TROPICAL_FISH:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                TropicalFishkopf);
                                                break;

                                        case COD:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Codkopf);
                                                break;
                                        case DOLPHIN:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Dolphinkopf);
                                                break;
                                        case SQUID:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                SquidKopf);
                                                break;
                                        case GLOW_SQUID:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                GlowSquidKopf);
                                                break;
                                        default:
                                                break;
                                }
                        }

                } else if (e.getEntity() instanceof Ambient) {

                        if (((Ambient) e.getEntity()).getPersistentDataContainer() != null && ((Ambient) e.getEntity())
                                        .getPersistentDataContainer().getKeys().toString().contains("deadanimal")) {
                                e.getDrops().clear();
                                switch (e.getEntity().getType()) {
                                        case BAT:
                                                e.getEntity().getWorld().dropItemNaturally(e.getEntity().getLocation(),
                                                                Batkopf);
                                                break;
                                        default:
                                                break;
                                }
                        }
                }
        }
}